Bug 24624 - Перенести /usr/cups/filter/hpcups в hplip-common
: Перенести /usr/cups/filter/hpcups в hplip-common
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hplip)
: unstable
: all Linux
: P3 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2010-11-23 17:30 by
Modified: 2010-11-24 23:03 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-11-23 17:30:16
Суть в том, что для ppd файла:
$ rpm -qf /usr/share/ppd/HP/hp-deskjet_d2600_series.ppd.gz
hplip-PPDs-3.10.9-alt2
нужен фильтр /usr/cups/filter/hpcup, но:
1. зависимости на hplip в hplip-PPDs нет, поэтому этот ppd не работает
2. пакет hplip имеет много "лишних" зависимостей, например на python...

Предлагаю паковать /usr/cups/filter/hpcups в hplip-common, а не в hplip как
сейчас. Сделать это можно не опасаясь разломов, т.к. hplip REQUIRES
hplip-common
------- Comment #1 From 2010-11-24 00:34:40 -------
ОК, разберусь
------- Comment #2 From 2010-11-24 02:03:59 -------
я выпилил отдельный подпакет hplip-hpcups.
К сожалению, сборочница ЖУТКО забита:
$ ssh git.alt task ls | wc -l
266
боюсь,ь такими темпами еще трое суток собирать будет.
Поэтому в сизиф попадет не скоро.

Большая просьба, когда доедет до сизифа,
протестировать, можно ли обойтись только установкой hplip-hpcups
БЕЗ установки hplip (hpmud, backend/hp...)
------- Comment #3 From 2010-11-24 12:27:26 -------
(В ответ на комментарий №2)
> Большая просьба, когда доедет до сизифа,
> протестировать, можно ли обойтись только установкой hplip-hpcups
> БЕЗ установки hplip (hpmud, backend/hp...)

Пересобрал для p5, работает.
# rpm -qa | grep hplip
hplip-common-3.10.9-alt3
hplip-hpcups-3.10.9-alt3
hplip-hpcups-PPDs-3.10.9-alt3

Огромное спасибо!

P.S.: RESOLVED/FIXED пусть проставит робот из changelog ;)
------- Comment #4 From 2010-11-24 13:24:22 -------
и вам спасибо за тестирование :)
------- Comment #5 From 2010-11-24 23:03:37 -------
hplip-3.10.9-alt3 -> sisyphus:

* Wed Nov 24 2010 Igor Vlasenko <viy@altlinux> 3.10.9-alt3
- added hpcups driver and PPDs subpackages (closes: 24624)

* Mon Nov 22 2010 Igor Vlasenko <viy@altlinux> 3.10.9-alt0.M50P.1
- p5 backport

* Sat Nov 20 2010 Igor Vlasenko <viy@altlinux> 3.10.9-alt0.M51.1
- backport